/***************************************************************************
 *   Copyright (C) 2007 by Michael Rosskopf                                *
 *   rosskopf@cs.uni-duesseldorf.de                                        *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

/*  Description:
This class contains the main method of EMOGEE Tools.
It is used to initialise an controller object.
*/

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include <iostream>
#include <cstdlib>

#include "controller.h"

using namespace std;

int main(int argc, char *argv[]){

  cout << "\nEMOGEE Tools V1.0 (2007)" << endl;
  cout << "\nby Michael Rosskopf, University of Duesseldorf, Germany" << endl;
  cout << "\n----------------------------------------------------------------" << endl;

  // Initialise the controller object which contains the main program
  Controller controller = Controller();

  // The destructor is called if the program is completed
  controller.~Controller();

  cout << "\nFully machined!\n" << endl;

  return EXIT_SUCCESS;
}
