/***************************************************************************
 *   Copyright (C) 2007 by Michael Rosskopf                                *
 *   rosskopf@cs.uni-duesseldorf.de                                        *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

/*  Description:
This class implements methods to estimate theta
from the number of alleles.
*/

#ifndef THETAALLELESESTIMATOR_H
#define THETAALLELESESTIMATOR_H

#include "mathfunctions.h"
#include "randomnumbergenerator.h"

/**
	@author Michael Rosskopf <rosskopf@cs.uni-duesseldorf.de>
*/
class ThetaAllelesEstimator{

  public: 

  // Constructors and destructors
  ThetaAllelesEstimator();
  ~ThetaAllelesEstimator();

  // calcNumberOfAlleles:
  // Calculates the expected number of alleles for a given theta
  double calcNumberOfAlleles(long,double);

  // estimateThetaFromNumberOfAlleles:
  // Estimates theta for a number of alleles observed from data.
  double estimateThetaFromNumberOfAlleles(long,double);
};

#endif
